typedef  enum{
    mainmenu,
    defaults,plots,refresh,bye,
    color,projection,
    map,section,frame,coast,boundary,hotspot,caption, 
    colormd,bwmd,
    d3,d2,d1,d0,
    l3d,s3d,
    harmonic,gridvalue,
    d3s,d2s,d1s,d0s,
    s3d_s,l3d_s,
    curved,straight,
    prvmenu,end,
    dim,stay,back,home
    };
         
static char choice[dim] = {
            'q',
            'c','p','r','e',
            'c','p',
            'm','s','f','c','p','h','t',
            'c','b',
            '3','2','1','0',
            'l','s',
            'h','g',
            '3','2','1','0',
            'd','c',
            'c','s',
            'q','e'
             };
                        
static char *menu_title[dim]= {    
       "m---main menu              ",     /* mainmenu   */
       "c---change default settings",     /* defaults   */
       "p---plotting               ",     /* plots      */
       "r---refreshing plotting    ",     /* refresh    */
       "e---exit the program       ",     /* bye       */
       "c---color or bw plots      ",       /* color      */
       "p---change projection      ",       /* projection */
       "m---plot map               ",     /* map        */
       "s---plot section           ",     /* section    */
       "f---draw frame around map  ",     /* frame      */
       "c---plot the coastline     ",     /* coast      */
       "p---plot the plate boundary",     /* boundary   */
       "h---plot the hotspots      ",     /* hotspot    */
       "t---plot captions          ",     /* caption      */
       "c---switch to color mode   ",       /* colormd    */
       "b---black/white mode       ",       /* bwmd       */
       "3---3-d models at given dep",     /* d3         */
       "2---surface features       ",     /* d2         */
       "1---linear features        ",     /* d1         */
       "0---point features         ",     /* d0         */
       "l---layered parameters     ",       /* l3d     */
       "s---standard polynomial    ",       /* s3d        */
       "h---input harmonic coeffict",     /* harmonic   */
       "g---input grid values      ",     /* gridvalue  */
       "3---3d model given azimuth ",       /* d3s        */
       "2---surface features       ",       /* d2s        */
       "1---linear features        ",       /* d1s        */
       "0---point features         ",       /* d0s        */
       "d---standard 3-d format    ",     /* s3d        */
       "c---u_mntl S model M84C    ",     /* m84c       */
       "c---Curved   projection    ",       /* curved     */ 
       "s---Straight projection    ",       /* straight   */
       "q---return to previous menu"      /* prvmenu    */ 
       }; 
                                      
static int tree[dim][15]= {
{defaults,plots,refresh,bye,end},                       /* mainmenu   */
{color,projection,prvmenu,end},                         /* defaults   */
{map,section,frame,coast,boundary,hotspot,caption,prvmenu,end},
						        /* plots    */
{stay,end},                                           /* refresh    */
{stay,end},                                           /* bye       */
{colormd,bwmd,prvmenu,end},                           /* color      */
{curved,straight,prvmenu,end},                        /* projection */
{d3,d2,d1,d0,prvmenu,end},                            /* map        */
{d3s,d2s,d1s,d0s,prvmenu,end},                        /* section    */
{stay,end},                                           /* frame      */
{stay,end},                                           /* coast      */
{stay,end},                                           /* boundary   */
{stay,end},                                           /* hotspot    */
{stay,end},                                           /* caption    */
{home,end},                                           /* colormd    */
{home,end},                                           /* bwmd       */
{l3d,s3d,prvmenu,end},				      /* d3         */
{harmonic,gridvalue,prvmenu,end},                     /* d2         */
{stay,end},                                           /* d1         */
{stay,end},                                           /* d0         */
{stay,end},                                           /* l3d        */
{stay,end},                                           /* s3d        */
{stay,end},                                           /* harmonic   */
{stay,end},                                           /* gridvalue  */
{s3d_s,l3d_s,prvmenu,end},                           /* d3s        */
{stay,end},                                           /* d2s        */
{stay,end},                                           /* d1s        */
{stay,end},                                           /* d0s        */
{stay,end},                                           /* s3d_s      */
{stay,end},                                           /* l3d_s     */
{home,end},                                           /* curved     */
{home,end},                                           /* straight   */
{stay,end}                                            /* prvmenu    */
};
