#include <stdio.h>
#include "LIB/constconst.h"
#include "LIB/glob.h"
#include "LIB/dimension.h"
#include "LIB/menu.h"
#include "LIB/macro.h"
#include "LIB/message.h"

void griddefault(int flag){
char  txt[MAXSTR],dum[MAXSTR],c;
int   i,j,index;
FILE *fp;

  if(flag){
           
    if((fp=fopen("lu_01","r"))==0)
      STOP(Cannot open default file);
/*
 * read default settings
 */    
    while(fgets(txt,MAXSTR,fp)){
        if(!strncmp(txt,"$Map_Coordinate",15)){
               getfloat(fp,dum,Xx0);
               getfloat(fp,dum,Yy0);
               getfloat(fp,dum,Xlen);
               getfloat(fp,dum,Ylen);
         }else if(!strncmp(txt,"$Grid",5)){
               getint(fp,dum,Row);
               getint(fp,dum,Col);
         }else if(!strncmp(txt,"$Maprotation",12)){
               getfloat(fp,dum,Theta);
               getfloat(fp,dum,Phi);
               getfloat(fp,dum,Az);
         }
     }
    fclose(fp);
  
    Dx=Xlen/(float)(Col-1); /* grid increment in longitudinal  and  */
    Dy=Ylen/(float)(Row-1); /* in latitudinal directions            */
    Theta=(90.-Theta)*CONV;
    Phi*=CONV; while(Phi<0.0) Phi+=2.*PI; while(Phi>2.*PI) Phi-=2.*PI;
    Az*=CONV;
 } 
}
